package com.cpms.project.plant.mapper;

import java.util.List;
import com.cpms.project.plant.domain.TMtAgenda;

/**
 * 装置会议议程Mapper接口
 *
 * @author ruoyi
 * @date 2023-06-07
 */
public interface TMtAgendaMapper
{
    /**
     * 查询装置会议议程
     *
     * @param id 装置会议议程主键
     * @return 装置会议议程
     */
    public TMtAgenda selectTMtAgendaById(Long id);

    /**
     * 查询装置会议议程列表
     *
     * @param tMtAgenda 装置会议议程
     * @return 装置会议议程集合
     */
    public List<TMtAgenda> selectTMtAgendaList(TMtAgenda tMtAgenda);
    public List<TMtAgenda> selectAgendaList(TMtAgenda tMtAgenda);

    /**
     * 新增装置会议议程
     *
     * @param tMtAgenda 装置会议议程
     * @return 结果
     */
    public int insertTMtAgenda(TMtAgenda tMtAgenda);

    /**
     * 修改装置会议议程
     *
     * @param tMtAgenda 装置会议议程
     * @return 结果
     */
    public int updateTMtAgenda(TMtAgenda tMtAgenda);

    /**
     * 删除装置会议议程
     *
     * @param id 装置会议议程主键
     * @return 结果
     */
    public int deleteTMtAgendaById(Long id);

    /**
     * 批量删除装置会议议程
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTMtAgendaByIds(Long[] ids);
}
